Components.utils.import('chrome://acewebextension-modules/content/prefmanager.js');
Components.utils.import('chrome://acewebextension-modules/content/util.js');

function GM_loadOptions() {
  document.getElementById('check-sync')
  .checked = AWE_prefRoot.getValue('sync.enabled');
  document.getElementById('secure-update')
      .checked = AWE_prefRoot.getValue('requireSecureUpdates');
  document.getElementById('handle-user-js')
      .checked = AWE_prefRoot.getValue('handleUserJs');
  document.getElementById('globalExcludes')
      .pages = AWE_util.getService().config.globalExcludes;
  document.getElementById('newScript-removeUnused')
      .checked = AWE_prefRoot.getValue('newScript.removeUnused');
  document.getElementById('newScript-template')
      .value = AWE_prefRoot.getValue('newScript.template');
}

function GM_saveOptions(checkbox) {
  AWE_prefRoot.setValue('sync.enabled',
      !!document.getElementById('check-sync').checked);
  AWE_prefRoot.setValue('requireSecureUpdates',
      !!document.getElementById('secure-update').checked);
  AWE_prefRoot.setValue('handleUserJs',
      !!document.getElementById('handle-user-js').checked);
  AWE_util.getService().config.globalExcludes =
      document.getElementById('globalExcludes').pages;
  AWE_prefRoot.setValue('newScript.removeUnused',
      !!document.getElementById('newScript-removeUnused').checked);
  AWE_prefRoot.setValue('newScript.template',
      document.getElementById('newScript-template').value);
}
